# Uses of Interface
org.opensaml.xmlsec.EncryptionConfiguration

Packages that use EncryptionConfiguration
Package
Description
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config
OpenSAML configuration classes.
org.opensaml.xmlsec.criterion
Criterion classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of EncryptionConfiguration in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return EncryptionConfiguration
Modifier and Type
Method
Description
`static EncryptionConfiguration`
SecurityConfigurationSupport.`ensureGlobalEncryptionConfiguration()`
Get the global `EncryptionConfiguration` instance, raising an exception if absent.
`static EncryptionConfiguration`
SecurityConfigurationSupport.`getGlobalEncryptionConfiguration()`
Get the global `EncryptionConfiguration` instance.

## Uses of EncryptionConfiguration in org.opensaml.xmlsec.config

Fields in org.opensaml.xmlsec.config declared as EncryptionConfiguration
Modifier and Type
Field
Description
`private EncryptionConfiguration`
BasicXMLSecurityConfiguration.`encryptConfig`
Configuration used when encrypting protocol message information.
Methods in org.opensaml.xmlsec.config that return EncryptionConfiguration
Modifier and Type
Method
Description
`EncryptionConfiguration`
BasicXMLSecurityConfiguration.`getEncryptionConfiguration()`
Get the configuration used when encrypting protocol message information.
`EncryptionConfiguration`
XMLSecurityConfiguration.`getEncryptionConfiguration()`
Get the configuration used when encrypting protocol message information.
Methods in org.opensaml.xmlsec.config with parameters of type EncryptionConfiguration
Modifier and Type
Method
Description
`BasicXMLSecurityConfiguration`
BasicXMLSecurityConfiguration.`setEncryptionConfiguration(EncryptionConfiguration config)`
Set the configuration used when encrypting protocol message information.

## Uses of EncryptionConfiguration in org.opensaml.xmlsec.criterion

Fields in org.opensaml.xmlsec.criterion with type parameters of type EncryptionConfiguration
Modifier and Type
Field
Description
`private List<EncryptionConfiguration>`
EncryptionConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.xmlsec.criterion that return types with arguments of type EncryptionConfiguration
Modifier and Type
Method
Description
`List<EncryptionConfiguration>`
EncryptionConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.xmlsec.criterion with parameters of type EncryptionConfiguration
Modifier
Constructor
Description
``
`EncryptionConfigurationCriterion(EncryptionConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.criterion with type arguments of type EncryptionConfiguration
Modifier
Constructor
Description
``
`EncryptionConfigurationCriterion(List<EncryptionConfiguration> configurations)`
Constructor.

## Uses of EncryptionConfiguration in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement EncryptionConfiguration
Modifier and Type
Class
Description
`class`
`BasicEncryptionConfiguration`
Basic implementation of `EncryptionConfiguration`.